Description

Would it be possible to create views in QGIS (for visualization) of multiple tables, like is possible with databases?

How we manage now is to create the view in the database program itself, and add this view to QGIS. But it should be nice if you can

create views from database tables as well as e.g. dbf's in QGIS itself.

(I heard that similar things are possible with GeoMedia?)

Thanks!

History

#1 - 2015-05-26 05:30 AM - Regis Haubourg

Hi, 

something similar is coming very soon. This will be called "virtual layers" and will be accessible thought DBManager, so that user can make relational

queries and views on every QGIS layers.. see [[https://github.com/qgis/QGIS-Enhancement-Proposals/pull/5]]

If this is what you need, you probably can close your issue. If not, please explain us a bit more what's required. 

Cheers

#2 - 2015-05-26 05:41 AM - Saber Razmjooei

- Tracker changed from Bug report to Feature request

#3 - 2015-05-26 12:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Data Provider

#4 - 2015-05-29 08:49 AM - Mart Grommen

fantastic! Looking forward to the release of these 'virtual layers'. Thanks

#5 - 2015-05-29 09:20 AM - Saber Razmjooei

- Status changed from Feedback to Closed

Regis response Seems to have answered your question. If not, feel free to re-open.
